<div>
    <mat-accordion>
        <mat-expansion-panel [expanded]="true">
          <mat-expansion-panel-header>
            <mat-panel-title>
                <strong>Item Upload</strong>
            </mat-panel-title>
          </mat-expansion-panel-header>
          <form  [formGroup]="itemUpload">
            <mat-form-field class="email-field" appearance="standard">
                <mat-label>Item code</mat-label>
                <input matInput placeholder="" [value]="itemUpload.value.itemCode" formControlName="itemCode"   autocomplete="off" />
            </mat-form-field>
              <mat-form-field class="email-field" appearance="standard">
                <mat-label>Item description</mat-label>
                <input matInput placeholder="" formControlName="itemDescription" [value]="itemUpload.value.itemDescription"   autocomplete="off" />
              </mat-form-field>
              <mat-form-field class="email-field" appearance="standard">
                <mat-label>Item group</mat-label>
                <input matInput placeholder="" [value]="itemUpload.value.itemGroup" formControlName="itemGroup"   autocomplete="off" />
             </mat-form-field>
             <mat-form-field class="email-field" appearance="standard">
                <mat-label>Warehouse</mat-label>
                <input matInput placeholder="" [value]="itemUpload.value.warehouse" formControlName="warehouse"   autocomplete="off" />
             </mat-form-field>
              <mat-form-field class="email-field" appearance="standard">
                <mat-label>Inventory unit</mat-label>
                <input matInput placeholder="" formControlName="inventoryUnit" [value]="itemUpload.value.inventoryUnit"   autocomplete="off" />
              </mat-form-field>
              <mat-form-field class="email-field" appearance="standard">
                <mat-label>Quantity</mat-label>
                <input matInput placeholder="" [value]="itemUpload.value.quantity" formControlName="quantity"   autocomplete="off" />
            </mat-form-field>
              <mat-form-field class="email-field" appearance="standard">
                <mat-label>Price</mat-label>
                <input matInput placeholder="" formControlName="price" [value]="itemUpload.value.price"   autocomplete="off" />
              </mat-form-field>
          </form>
        </mat-expansion-panel>
        <mat-expansion-panel [expanded]="false">
            <mat-expansion-panel-header>
              <mat-panel-title>             
                <strong>BP Trans Upload</strong>
              </mat-panel-title>
            </mat-expansion-panel-header>
            <form  [formGroup]="bpTransUpload">
                <mat-form-field class="email-field" appearance="standard">
                    <mat-label>Document number</mat-label>
                    <input matInput placeholder="" [value]="bpTransUpload.value.documentNumber" formControlName="documentNumber"   autocomplete="off" />
                </mat-form-field>
                  <mat-form-field class="email-field" appearance="standard">
                    <mat-label>Document date</mat-label>
                    <input matInput placeholder="" formControlName="documentDate" [value]="bpTransUpload.value.documentDate"   autocomplete="off" />
                  </mat-form-field>
                  <mat-form-field class="email-field" appearance="standard">
                    <mat-label>Business Partner</mat-label>
                    <input matInput placeholder="" [value]="bpTransUpload.value.businessPartner" formControlName="businessPartner"   autocomplete="off" />
                 </mat-form-field>
                 <mat-form-field class="email-field" appearance="standard">
                    <mat-label>Invoice Number</mat-label>
                    <input matInput placeholder="" [value]="bpTransUpload.value.invoiceNumber" formControlName="invoiceNumber"   autocomplete="off" />
                 </mat-form-field>
                  <mat-form-field class="email-field" appearance="standard">
                    <mat-label>currency</mat-label>
                    <input matInput placeholder="" formControlName="currency" [value]="bpTransUpload.value.currency"   autocomplete="off" />
                  </mat-form-field>
                  <mat-form-field class="email-field" appearance="standard">
                    <mat-label>Amount InInvoice Currency</mat-label>
                    <input type="number" matInput placeholder="" [value]="bpTransUpload.value.amountInInvoiceCurrency" formControlName="amountInInvoiceCurrency"   autocomplete="off" />
                </mat-form-field>
                  <mat-form-field class="email-field" appearance="standard">
                    <mat-label>Amount in HC</mat-label>
                    <input type="number" matInput placeholder="" formControlName="amountInHC" [value]="bpTransUpload.value.amountInHC"   autocomplete="off" />
                  </mat-form-field>
                  <mat-form-field class="email-field" appearance="standard">
                    <mat-label>Balance amount</mat-label>
                    <input type="number" matInput placeholder="" formControlName="balanceAmount" [value]="bpTransUpload.value.balanceAmount"   autocomplete="off" />
                  </mat-form-field>
                  <mat-form-field class="email-field" appearance="standard">
                    <mat-label>Reference</mat-label>
                    <input matInput placeholder="" formControlName="reference" [value]="bpTransUpload.value.reference"   autocomplete="off" />
                  </mat-form-field>
              </form>
          </mat-expansion-panel>
        <mat-expansion-panel [expanded]="false">
          <mat-expansion-panel-header>
            <mat-panel-title>
               <strong> Opening Balance </strong>
            </mat-panel-title>
          </mat-expansion-panel-header>
          <form [formGroup]="openingBalance" >
            <mat-form-field class="email-field" appearance="standard">
                <mat-label>Date</mat-label>
                <input matInput placeholder="" formControlName="date" [value]="openingBalance.value.date"   autocomplete="off" />
              </mat-form-field>
              <mat-form-field class="email-field" appearance="standard">
                <mat-label>Ledger</mat-label>
                <input matInput placeholder="" [value]="openingBalance.value.ledger" formControlName="ledger"   autocomplete="off" />
            </mat-form-field>
              <mat-form-field class="email-field" appearance="standard">
                <mat-label>DR</mat-label>
                <input matInput placeholder="" formControlName="dr" [value]="openingBalance.value.dr"   autocomplete="off" />
              </mat-form-field>
              <mat-form-field class="email-field" appearance="standard">
                <mat-label>Amount</mat-label>
                <input type="number" matInput placeholder="" formControlName="amount" [value]="openingBalance.value.amount"   autocomplete="off" />
              </mat-form-field>
              <mat-form-field class="email-field" appearance="standard">
                <mat-label>Reference</mat-label>
                <input matInput placeholder="" formControlName="reference" [value]="openingBalance.value.reference"   autocomplete="off" />
              </mat-form-field>
          </form>
        </mat-expansion-panel>
      </mat-accordion>
      <button mat-raised-button (click)="onSubmitForm()" [disabled]="!itemUpload.valid && !bpTransUpload.valid && !openingBalance.valid"  class="submit-btn">
        {{buttonName}}
      </button>    
</div>

 